commit:     06f8d356cc973df44a44d88d440f8b1716ae0c6f
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  1 12:55:20 2016 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Wed Jun  1 12:59:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06f8d356

sys-boot/tboot: bump to 1.9.4

Package-Manager: portage-2.2.28

 sys-boot/tboot/Manifest           |  1 +
 sys-boot/tboot/tboot-1.9.4.ebuild | 70 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/sys-boot/tboot/Manifest b/sys-boot/tboot/Manifest
index 9fcc0fa..5f5644cd 100644
--- a/sys-boot/tboot/Manifest
+++ b/sys-boot/tboot/Manifest
@@ -1 +1,2 @@
 DIST tboot-1.8.3.tar.gz 554084 SHA256 
2f2e0c3865b45691f76b31730c5aaea2f076e7949ee6309e78ed7f80d8c53d39 SHA512 
cde961af07c64a7d8b77f64d48e6d9230048135420e78efc6277f32e4df78012b5bbd73e4f2ce1cd6194091ec306cc84c65356865815a7311e140fd2b94f6443
 WHIRLPOOL 
030ab29ee710c6201e894abfd693944490c157b2607425dd6d476f836a635ee7f82c29180ad13fc80508596dc62148aa1c108bd7aba1c9ca7329f99197d97db6
+DIST tboot-1.9.4.tar.gz 2107175 SHA256 
7167e5615def4ac0f25b2f9139b3d361a0a20d91386d80b1d865107b3f552f39 SHA512 
93db95be54a1286dffe87cf6f5d1e31ac0c4a452b11a11789fec66255c847a9e14251579de0f6ba4c5c122423b45e83751a8287d37e27ea3acba608774d7ac0b
 WHIRLPOOL 
2bf9220317dc5bbc927fb10d07a1d7f5cef2d5351fbf81e45f276b5f317785c1cfc1f1e4b78ac426bceb66641339d7179bff8fbbb867b67aa215544193a5baa1

diff --git a/sys-boot/tboot/tboot-1.9.4.ebuild 
b/sys-boot/tboot/tboot-1.9.4.ebuild
new file mode 100644
index 0000000..7461220
--- /dev/null
+++ b/sys-boot/tboot/tboot-1.9.4.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit flag-o-matic mount-boot
+
+DESCRIPTION="Performs a measured and verified boot using Intel Trusted 
Execution Technology"
+HOMEPAGE="http://sourceforge.net/projects/tboot/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 -*"
+IUSE="custom-cflags selinux"
+
+# requires patching the kernel src
+RESTRICT="test"
+
+DEPEND="app-crypt/trousers
+app-crypt/tpm-tools"
+
+RDEPEND="${DEPEND}
+sys-boot/grub:2
+selinux? ( sec-policy/selinux-tboot )"
+
+DOCS=(README COPYING CHANGELOG)
+
+src_prepare() {
+       sed -i 's/ -Werror//g' Config.mk || die
+       sed -i 's/^INSTALL_STRIP = -s$//' Config.mk || die # QA Errors
+
+       default
+}
+
+src_compile() {
+       use custom-cflags && export TBOOT_CFLAGS=${CFLAGS} || unset CCASFLAGS 
CFLAGS CPPFLAGS LDFLAGS
+
+       if use amd64; then
+               MAKEARGS="TARGET_ARCH=x86_64"
+       else
+               MAKEARGS="TARGET_ARCH=i686"
+       fi
+
+       default
+}
+
+src_install() {
+       emake DISTDIR="${D}" install
+
+       dodoc "${DOCS[@]}"
+       dodoc docs/*.txt lcptools/*.{txt,pdf} || die "docs failed"
+
+       cd "${D}"
+       mkdir -p usr/lib/tboot/ || die
+       mv boot usr/lib/tboot/ || die
+}
+
+pkg_postinst() {
+       mount-boot_mount_boot_partition
+
+       cp ${ROOT%/}/usr/lib/tboot/boot/* ${ROOT%/}/boot/
+
+       mount-boot_pkg_postinst
+
+       ewarn "Please remember to download the SINIT AC Module relevant"
+       ewarn "for your platform from:"
+       ewarn 
"http://software.intel.com/en-us/articles/intel-trusted-execution-technology/";
+}

Reply via email to